<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="MessDetectorOptionsConfiguration">
    <option name="transferred" value="true" />
  </component>
  <component name="PHPCSFixerOptionsConfiguration">
    <option name="allowRiskyRules" value="true" />
    <option name="codingStandard" value="Symfony" />
    <option name="transferred" value="true" />
  </component>
  <component name="PHPCodeSnifferOptionsConfiguration">
    <option name="transferred" value="true" />
  </component>
  <component name="PhpCSFixer">
    <phpcsfixer_settings>
      <PhpCSFixerConfiguration standards="DoctrineAnnotation;PER;PHP54Migration;PHP56Migration;PHP70Migration;PHP71Migration;PHP73Migration;PHP74Migration;PHP80Migration;PHP81Migration;PHP82Migration;PHPUnit100Migration;PHPUnit30Migration;PHPUnit32Migration;PHPUnit35Migration;PHPUnit43Migration;PHPUnit48Migration;PHPUnit50Migration;PHPUnit52Migration;PHPUnit54Migration;PHPUnit55Migration;PHPUnit56Migration;PHPUnit57Migration;PHPUnit60Migration;PHPUnit75Migration;PHPUnit84Migration;PSR1;PSR12;PSR2;PhpCsFixer;Symfony" tool_path="$PROJECT_DIR$/app/vendor/bin/php-cs-fixer" />
      <phpcs_fixer_by_interpreter interpreter_id="d3dad18a-a7ed-4000-8738-7161d70450f1" standards="PSR1;PSR2;Symfony;DoctrineAnnotation;PHP70Migration;PHP71Migration" tool_path="app/vendor/bin/php-cs-fixer" timeout="30000" />
    </phpcsfixer_settings>
  </component>
  <component name="PhpExternalFormatter">
    <option name="externalFormatter" value="PHP_CBF" />
  </component>
  <component name="PhpIncludePathManager">
    <include_path>
      <path value="$PROJECT_DIR$/app/vendor/api-platform/core" />
      <path value="$PROJECT_DIR$/app/vendor/gesdinet/jwt-refresh-token-bundle" />
      <path value="$PROJECT_DIR$/app/vendor/phpstan/phpstan" />
      <path value="$PROJECT_DIR$/app/vendor/phpunit/php-timer" />
      <path value="$PROJECT_DIR$/app/vendor/phpunit/phpunit" />
      <path value="$PROJECT_DIR$/app/vendor/nikic/php-parser" />
      <path value="$PROJECT_DIR$/app/vendor/phpunit/php-text-template" />
      <path value="$PROJECT_DIR$/app/vendor/phpunit/php-invoker" />
      <path value="$PROJECT_DIR$/app/vendor/phpunit/php-file-iterator" />
      <path value="$PROJECT_DIR$/app/vendor/phpunit/php-code-coverage" />
      <path value="$PROJECT_DIR$/app/vendor/composer" />
      <path value="$PROJECT_DIR$/app/vendor/doctrine/lexer" />
      <path value="$PROJECT_DIR$/app/vendor/doctrine/deprecations" />
      <path value="$PROJECT_DIR$/app/vendor/doctrine/event-manager" />
      <path value="$PROJECT_DIR$/app/vendor/doctrine/data-fixtures" />
      <path value="$PROJECT_DIR$/app/vendor/doctrine/instantiator" />
      <path value="$PROJECT_DIR$/app/vendor/doctrine/dbal" />
      <path value="$PROJECT_DIR$/app/vendor/doctrine/cache" />
      <path value="$PROJECT_DIR$/app/vendor/doctrine/orm" />
      <path value="$PROJECT_DIR$/app/vendor/doctrine/annotations" />
      <path value="$PROJECT_DIR$/app/vendor/doctrine/collections" />
      <path value="$PROJECT_DIR$/app/vendor/doctrine/doctrine-bundle" />
      <path value="$PROJECT_DIR$/app/vendor/doctrine/persistence" />
      <path value="$PROJECT_DIR$/app/vendor/doctrine/sql-formatter" />
      <path value="$PROJECT_DIR$/app/vendor/doctrine/inflector" />
      <path value="$PROJECT_DIR$/app/vendor/namshi/jose" />
      <path value="$PROJECT_DIR$/app/vendor/doctrine/migrations" />
      <path value="$PROJECT_DIR$/app/vendor/doctrine/doctrine-fixtures-bundle" />
      <path value="$PROJECT_DIR$/app/vendor/doctrine/doctrine-migrations-bundle" />
      <path value="$PROJECT_DIR$/app/vendor/doctrine/common" />
      <path value="$PROJECT_DIR$/app/vendor/psr/link" />
      <path value="$PROJECT_DIR$/app/vendor/psr/clock" />
      <path value="$PROJECT_DIR$/app/vendor/psr/event-dispatcher" />
      <path value="$PROJECT_DIR$/app/vendor/psr/cache" />
      <path value="$PROJECT_DIR$/app/vendor/psr/log" />
      <path value="$PROJECT_DIR$/app/vendor/psr/container" />
      <path value="$PROJECT_DIR$/app/vendor/lcobucci/jwt" />
      <path value="$PROJECT_DIR$/app/vendor/lcobucci/clock" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/cache-contracts" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/finder" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/deprecation-contracts" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/runtime" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/routing" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/polyfill-intl-normalizer" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/css-selector" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/cache" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/polyfill-intl-grapheme" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/doctrine-bridge" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/var-exporter" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/dependency-injection" />
      <path value="$PROJECT_DIR$/app/vendor/dama/doctrine-test-bundle" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/security-core" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/phpunit-bridge" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/config" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/event-dispatcher-contracts" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/security-http" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/property-access" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/property-info" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/error-handler" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/filesystem" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/stopwatch" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/security-csrf" />
      <path value="$PROJECT_DIR$/app/vendor/myclabs/deep-copy" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/console" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/password-hasher" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/flex" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/options-resolver" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/event-dispatcher" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/var-dumper" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/http-foundation" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/framework-bundle" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/uid" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/http-kernel" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/browser-kit" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/dom-crawler" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/translation-contracts" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/polyfill-uuid" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/service-contracts" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/string" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/messenger" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/serializer" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/yaml" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/web-link" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/security-bundle" />
      <path value="$PROJECT_DIR$/app/vendor/liip/test-fixtures-bundle" />
      <path value="$PROJECT_DIR$/app/vendor/lexik/jwt-authentication-bundle" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/dotenv" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/process" />
      <path value="$PROJECT_DIR$/app/vendor/webmozart/assert" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/polyfill-mbstring" />
      <path value="$PROJECT_DIR$/app/vendor/fakerphp/faker" />
      <path value="$PROJECT_DIR$/app/vendor/willdurand/negotiation" />
      <path value="$PROJECT_DIR$/app/vendor/sebastian/type" />
      <path value="$PROJECT_DIR$/app/vendor/friendsofphp/php-cs-fixer" />
      <path value="$PROJECT_DIR$/app/vendor/sebastian/diff" />
      <path value="$PROJECT_DIR$/app/vendor/sebastian/lines-of-code" />
      <path value="$PROJECT_DIR$/app/vendor/sebastian/object-enumerator" />
      <path value="$PROJECT_DIR$/app/vendor/sebastian/comparator" />
      <path value="$PROJECT_DIR$/app/vendor/sebastian/code-unit" />
      <path value="$PROJECT_DIR$/app/vendor/sebastian/cli-parser" />
      <path value="$PROJECT_DIR$/app/vendor/sebastian/exporter" />
      <path value="$PROJECT_DIR$/app/vendor/sebastian/version" />
      <path value="$PROJECT_DIR$/app/vendor/sebastian/complexity" />
      <path value="$PROJECT_DIR$/app/vendor/sebastian/recursion-context" />
      <path value="$PROJECT_DIR$/app/vendor/phar-io/version" />
      <path value="$PROJECT_DIR$/app/vendor/sebastian/resource-operations" />
      <path value="$PROJECT_DIR$/app/vendor/phar-io/manifest" />
      <path value="$PROJECT_DIR$/app/vendor/sebastian/code-unit-reverse-lookup" />
      <path value="$PROJECT_DIR$/app/vendor/sebastian/global-state" />
      <path value="$PROJECT_DIR$/app/vendor/sebastian/environment" />
      <path value="$PROJECT_DIR$/app/vendor/sebastian/object-reflector" />
      <path value="$PROJECT_DIR$/app/vendor/masterminds/html5" />
      <path value="$PROJECT_DIR$/app/vendor/twig/twig" />
      <path value="$PROJECT_DIR$/app/vendor/theseer/tokenizer" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/twig-bundle" />
      <path value="$PROJECT_DIR$/app/vendor/symfony/twig-bridge" />
    </include_path>
  </component>
  <component name="PhpInterpreters">
    <interpreters>
      <interpreter id="83a53075-2b2e-41c0-85d6-02258da38bd5" name="local82_php" home="docker-compose://DATA" false="false" debugger_id="php.debugger.XDebug">
        <remote_data INTERPRETER_PATH="php" HELPERS_PATH="/opt/.phpstorm_helpers" VALID="true" RUN_AS_ROOT_VIA_SUDO="false" DOCKER_ACCOUNT_NAME="Docker" DOCKER_COMPOSE_SERVICE_NAME="local82_php" DOCKER_REMOTE_PROJECT_PATH="/opt/project">
          <type_data command="RUN" />
          <dockerComposeConfigurationPaths>
            <item value="$PROJECT_DIR$/docker-compose.yml" />
          </dockerComposeConfigurationPaths>
          <envs />
        </remote_data>
      </interpreter>
      <interpreter id="d3dad18a-a7ed-4000-8738-7161d70450f1" name="digitalocean.com/php:latest" home="docker://DATA" false="false" debugger_id="php.debugger.XDebug">
        <remote_data INTERPRETER_PATH="php" HELPERS_PATH="/opt/.phpstorm_helpers" VALID="true" RUN_AS_ROOT_VIA_SUDO="false" DOCKER_ACCOUNT_NAME="Docker" DOCKER_IMAGE_NAME="digitalocean.com/php:latest" DOCKER_REMOTE_PROJECT_PATH="/opt/project" />
      </interpreter>
    </interpreters>
  </component>
  <component name="PhpInterpretersPhpInfoCache">
    <phpInfoCache>
      <interpreter name="digitalocean.com/php:latest">
        <phpinfo binary_type="PHP" php_cli="/usr/local/bin/php" path_separator=":" version="8.1.15">
          <additional_php_ini>/usr/local/etc/php/conf.d/docker-fpm.ini, /usr/local/etc/php/conf.d/docker-php-ext-bcmath.ini, /usr/local/etc/php/conf.d/docker-php-ext-exif.ini, /usr/local/etc/php/conf.d/docker-php-ext-gd.ini, /usr/local/etc/php/conf.d/docker-php-ext-imagick.ini, /usr/local/etc/php/conf.d/docker-php-ext-mysqli.ini, /usr/local/etc/php/conf.d/docker-php-ext-pcntl.ini, /usr/local/etc/php/conf.d/docker-php-ext-pdo_mysql.ini, /usr/local/etc/php/conf.d/docker-php-ext-redis.ini, /usr/local/etc/php/conf.d/docker-php-ext-sodium.ini, /usr/local/etc/php/conf.d/docker-php-ext-zip.ini</additional_php_ini>
          <configuration_file />
          <configuration_options>
            <configuration_option name="include_path" value=".:/usr/local/lib/php" />
          </configuration_options>
          <debuggers />
          <loaded_extensions>
            <extension name="Core" />
            <extension name="PDO" />
            <extension name="Phar" />
            <extension name="Reflection" />
            <extension name="SPL" />
            <extension name="SimpleXML" />
            <extension name="bcmath" />
            <extension name="ctype" />
            <extension name="curl" />
            <extension name="date" />
            <extension name="dom" />
            <extension name="exif" />
            <extension name="fileinfo" />
            <extension name="filter" />
            <extension name="ftp" />
            <extension name="gd" />
            <extension name="hash" />
            <extension name="iconv" />
            <extension name="imagick" />
            <extension name="json" />
            <extension name="libxml" />
            <extension name="mbstring" />
            <extension name="mysqli" />
            <extension name="mysqlnd" />
            <extension name="openssl" />
            <extension name="pcntl" />
            <extension name="pcre" />
            <extension name="pdo_mysql" />
            <extension name="pdo_sqlite" />
            <extension name="posix" />
            <extension name="readline" />
            <extension name="redis" />
            <extension name="session" />
            <extension name="sodium" />
            <extension name="sqlite3" />
            <extension name="standard" />
            <extension name="tokenizer" />
            <extension name="xml" />
            <extension name="xmlreader" />
            <extension name="xmlwriter" />
            <extension name="zip" />
            <extension name="zlib" />
          </loaded_extensions>
        </phpinfo>
      </interpreter>
      <interpreter name="local82_php">
        <phpinfo binary_type="PHP" php_cli="/usr/local/bin/php" path_separator=":" version="8.2.2">
          <additional_php_ini>/usr/local/etc/php/conf.d/docker-fpm.ini, /usr/local/etc/php/conf.d/docker-php-ext-bcmath.ini, /usr/local/etc/php/conf.d/docker-php-ext-exif.ini, /usr/local/etc/php/conf.d/docker-php-ext-gd.ini, /usr/local/etc/php/conf.d/docker-php-ext-mysqli.ini, /usr/local/etc/php/conf.d/docker-php-ext-pcntl.ini, /usr/local/etc/php/conf.d/docker-php-ext-pdo_mysql.ini, /usr/local/etc/php/conf.d/docker-php-ext-redis.ini, /usr/local/etc/php/conf.d/docker-php-ext-sodium.ini, /usr/local/etc/php/conf.d/docker-php-ext-xdebug.ini, /usr/local/etc/php/conf.d/docker-php-ext-zip.ini, /usr/local/etc/php/conf.d/local.ini, /usr/local/etc/php/conf.d/xdebug.ini</additional_php_ini>
          <configuration_file />
          <configuration_options>
            <configuration_option name="include_path" value=".:/usr/local/lib/php" />
          </configuration_options>
          <debuggers>
            <debugger_info debugger="xdebug" debugger_version="3.2.0">
              <debug_extensions />
            </debugger_info>
          </debuggers>
          <loaded_extensions>
            <extension name="Core" />
            <extension name="PDO" />
            <extension name="Phar" />
            <extension name="Reflection" />
            <extension name="SPL" />
            <extension name="SimpleXML" />
            <extension name="bcmath" />
            <extension name="ctype" />
            <extension name="curl" />
            <extension name="date" />
            <extension name="dom" />
            <extension name="exif" />
            <extension name="fileinfo" />
            <extension name="filter" />
            <extension name="ftp" />
            <extension name="gd" />
            <extension name="hash" />
            <extension name="iconv" />
            <extension name="json" />
            <extension name="libxml" />
            <extension name="mbstring" />
            <extension name="mysqli" />
            <extension name="mysqlnd" />
            <extension name="openssl" />
            <extension name="pcntl" />
            <extension name="pcre" />
            <extension name="pdo_mysql" />
            <extension name="pdo_sqlite" />
            <extension name="posix" />
            <extension name="random" />
            <extension name="readline" />
            <extension name="redis" />
            <extension name="session" />
            <extension name="sodium" />
            <extension name="sqlite3" />
            <extension name="standard" />
            <extension name="tokenizer" />
            <extension name="xdebug" />
            <extension name="xml" />
            <extension name="xmlreader" />
            <extension name="xmlwriter" />
            <extension name="zip" />
            <extension name="zlib" />
          </loaded_extensions>
        </phpinfo>
      </interpreter>
    </phpInfoCache>
  </component>
  <component name="PhpProjectSharedConfiguration" php_language_level="8.1" />
  <component name="PhpStan">
    <PhpStan_settings>
      <PhpStanConfiguration tool_path="$PROJECT_DIR$/app/vendor/bin/phpstan" />
    </PhpStan_settings>
  </component>
  <component name="PhpStanOptionsConfiguration">
    <option name="level" value="6" />
    <option name="transferred" value="true" />
  </component>
  <component name="PhpUnit">
    <phpunit_settings>
      <phpunit_by_interpreter interpreter_id="83a53075-2b2e-41c0-85d6-02258da38bd5" configuration_file_path="/var/www/app/phpunit.xml" custom_loader_path="/var/www/app/vendor/autoload.php" phpunit_phar_path="" use_configuration_file="true" />
      <PhpUnitSettings custom_loader_path="$PROJECT_DIR$/app/vendor/autoload.php" />
    </phpunit_settings>
  </component>
  <component name="PsalmOptionsConfiguration">
    <option name="transferred" value="true" />
  </component>
</project>